package org.stm.project.chart.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.checkerframework.checker.units.qual.A;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.query.QueryGenerator;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.stm.project.chart.service.ProjectChartService;
import org.stm.project.chart.vo.DomainFindVo;
import org.stm.project.chart.vo.DomainLevelVo;
import org.stm.project.chart.vo.DomainScoreVo;
import org.stm.project.create.entity.StProjectCreApprove;

import javax.servlet.http.HttpServletRequest;

/**
 * @Author: yzh
 * @Date 2023/8/27 13:37
 * @Description:
 */
@RestController
@RequestMapping("/project/chart")
public class ProjectChartController {

    @Autowired
    private ProjectChartService projectChartService;

    @GetMapping(value = "/domainlevel")
    public Result<DomainLevelVo> domainlevel() {
        DomainLevelVo domainLevelVo = projectChartService.domainlevel();
        return Result.OK(domainLevelVo);
    }

    @GetMapping(value = "/domainScore")
    public Result<DomainScoreVo> domainScore() {
        DomainScoreVo domainScore = projectChartService.domainScore();
        return Result.OK(domainScore);
    }

    @GetMapping(value = "/domainFind")
    public Result<DomainFindVo> domainFind() {
        DomainFindVo domainFindVo = projectChartService.domainFind();
        return Result.OK(domainFindVo);
    }
}
